Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class TaskServiceSession

    java.lang.Object
      org.jbpm.task.service.TaskServiceSession

    public class TaskServiceSession

extends Object

Nested Class Summary
`static interface` | `TaskServiceSession.TransactedOperation`

Constructor Summary
`TaskServiceSession(TaskService service, TaskPersistenceManager tpm)`

Method Summary
`void` | `addAttachment(long taskId, Attachment attachment, Content content)`
`void` | `addComment(long taskId, Comment comment)`
`void` | `addGroup(Group group)`
`void` | `addTask(Task task, ContentData contentData)`
`void` | `addUser(User user)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)` Deprecated.
`void` | `claimNextAvailable(String userId, String language)`
`void` | `deleteAttachment(long taskId, long attachmentId, long contentId)`
`void` | `deleteComment(long taskId, long commentId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `dispose()`
`void` | `doOperationInTransaction(TaskServiceSession.TransactedOperation operation)` Executes the specified operation within a transaction.
`void` | `executeEscalatedDeadline(EscalatedDeadlineHandler escalatedDeadlineHandler, TaskService service, long taskId, long deadlineId)`
`Content` | `getContent(long contentId)` This method should only be called from a ServerHandler or TaskService implementation.
`Deadline` | `getDeadline(long deadlineId)`
`TaskService` | `getService()`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId, String language)`
`Task` | `getTask(long taskId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`TaskPersistenceManager` | `getTaskPersistenceManager()`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResults)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)` This is default method to get tasks assigned to `userId` based on user membership and direct assignment.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language, int firstResult, int maxResults)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByGroup(String groupId, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<Long>` | `getTasksByProcessInstanceId(long processInstanceId)`
`List<TaskSummary>` | `getTasksByStatusByProcessId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, String language)`
`void` | `nominateTask(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`List<?>` | `query(String qlString, Integer size, Integer offset)` Deprecated.
`void` | `scheduleUnescalatedDeadlines()`
`void` | `setDocumentContent(long taskId, Content content)`
`void` | `setFault(long taskId, String userId, FaultData faultContentData)`
`void` | `setGlobals(String type, Map<String,Object> globals)`
`void` | `setOutput(long taskId, String userId, ContentData outputContentData)`
`void` | `setPriority(long taskId, String userId, int priority)`
`void` | `setRuleBase(String type, org.kie.internal.KnowledgeBase ruleBase)`
`void` | `setTaskStatus(long taskId, Status status)`
`void` | `taskOperation(Operation operation, long taskId, String userId, String targetEntityId, ContentData data, List<String> groupIds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskServiceSession

    public TaskServiceSession(TaskService service,
                              TaskPersistenceManager tpm)

Method Detail

### dispose

    public void dispose()

### getTaskPersistenceManager

    public TaskPersistenceManager getTaskPersistenceManager()

### getService

    public TaskService getService()

### setRuleBase

    public void setRuleBase(String type,
                            org.kie.internal.KnowledgeBase ruleBase)

### setGlobals

    public void setGlobals(String type,
                           Map<String,Object> globals)

### addUser

    public void addUser(User user)

### addGroup

    public void addGroup(Group group)

### addTask

    public void addTask(Task task,
                        ContentData contentData)
                 throws CannotAddTaskException

  Throws:
    `CannotAddTaskException`

### scheduleUnescalatedDeadlines

    public void scheduleUnescalatedDeadlines()

### taskOperation

    public void taskOperation(Operation operation,
                              long taskId,
                              String userId,
                              String targetEntityId,
                              ContentData data,
                              List<String> groupIds)
                       throws TaskException

  Throws:
    `TaskException`

### getTask

    public Task getTask(long taskId)

### getDeadline

    public Deadline getDeadline(long deadlineId)

### setTaskStatus

    public void setTaskStatus(long taskId,
                              Status status)

### addComment

    public void addComment(long taskId,
                           Comment comment)

### addAttachment

    public void addAttachment(long taskId,
                              Attachment attachment,
                              Content content)

### setDocumentContent

    public void setDocumentContent(long taskId,
                                   Content content)

### getContent

    public Content getContent(long contentId)

  This method should only be called from a ServerHandler or TaskService implementation. If you need a Content object (and are already running within a tx), then just use tpm.findEntity(...).

  Parameters:
    `contentId` - The id of the Content object.
  Returns:
    The requested Content object.

### deleteAttachment

    public void deleteAttachment(long taskId,
                                 long attachmentId,
                                 long contentId)

### deleteComment

    public void deleteComment(long taskId,
                              long commentId)

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   String language)

### claimNextAvailable

    @Deprecated
    public void claimNextAvailable(String userId,
                                              List<String> groupIds,
                                              String language)

  Deprecated.

### getTasksAssignedAsPotentialOwner

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                         List<String> groupIds,
                                                                         String language)

  Deprecated.

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long workItemId)

### getTasksByProcessInstanceId

    public List<Long> getTasksByProcessInstanceId(long processInstanceId)

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           String language)

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           List<Status> status,
                                           String language)

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                                     String language)

### getTasksAssignedAsExcludedOwner

    public List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                             String language)

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language)

  This is default method to get tasks assigned to `userId` based on user membership and direct assignment.

  Parameters:
    `userId` - user id which tasks are assigned for
    `language` - preferred locale
  Returns:
    list of tasks assigned to given user (direct or through group membership)

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                                      List<Status> status,
                                                                      String language)

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language,
                                                              int firstResult,
                                                              int maxResults)

### getTasksAssignedAsPotentialOwner

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                         List<String> groupIds,
                                                                         String language,
                                                                         int firstResult,
                                                                         int maxResults)

  Deprecated.

### getSubTasksAssignedAsPotentialOwner

    public List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                                 String userId,
                                                                 String language)

### getTasksAssignedAsPotentialOwnerByGroup

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByGroup(String groupId,
                                                                                String language)

  Deprecated.

### getSubTasksByParent

    public List<TaskSummary> getSubTasksByParent(long parentId,
                                                 String language)

### getTasksAssignedAsRecipient

    public List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                         String language)

### getTasksAssignedAsTaskInitiator

    public List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                             String language)

### getTasksAssignedAsTaskStakeholder

    public List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                               String language)

### query

    @Deprecated
    public List<?> query(String qlString,
                                    Integer size,
                                    Integer offset)

  Deprecated.

  This method allows the user to exercise the query of his/her choice. This method will be deleted in future versions. Only select queries are currently supported, for obvious reasons.

  Parameters:
    `qlString` - The query string.
    `size` - Maximum number of results to return.
    `offset` - The offset from the beginning of the result list determining the first result.
  Returns:
    The result of the query.

### nominateTask

    public void nominateTask(long taskId,
                             String userId,
                             List<OrganizationalEntity> potentialOwners)

### setOutput

    public void setOutput(long taskId,
                          String userId,
                          ContentData outputContentData)

### setFault

    public void setFault(long taskId,
                         String userId,
                         FaultData faultContentData)

### setPriority

    public void setPriority(long taskId,
                            String userId,
                            int priority)

### deleteOutput

    public void deleteOutput(long taskId,
                             String userId)

### deleteFault

    public void deleteFault(long taskId,
                            String userId)

### doOperationInTransaction

    public void doOperationInTransaction(TaskServiceSession.TransactedOperation operation)

  Executes the specified operation within a transaction. Note that if there is a currently active transaction, if will reuse it. This logic is unfortunately duplicated in `TaskPersistenceManager.queryWithParametersInTransaction(String, Map)`. If you change the logic here, please make sure to change the logic there as well (and vice versa).

  Parameters:
    `operation` - operation to execute

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                                        List<String> groupIds,
                                                                                        List<Status> status,
                                                                                        String language)

  Deprecated.

### getTasksByStatusByProcessId

    public List<TaskSummary> getTasksByStatusByProcessId(long processInstanceId,
                                                         List<Status> status,
                                                         String language)

### getTasksByStatusByProcessIdByTaskName

    public List<TaskSummary> getTasksByStatusByProcessIdByTaskName(long processInstanceId,
                                                                   List<Status> status,
                                                                   String taskName,
                                                                   String language)

### executeEscalatedDeadline

    public void executeEscalatedDeadline(EscalatedDeadlineHandler escalatedDeadlineHandler,
                                         TaskService service,
                                         long taskId,
                                         long deadlineId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.